> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.ard.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get airports information

> Replies with a JSON object containing all known airports that are serviced by Pinpoint



## OpenAPI

````yaml api-reference/pinpoint/openapi.json get /airports
openapi: 3.0.1
info:
  title: Pinpoint API
  description: >-
    Weather forecast API providing hourly and daily forecasts, location
    information, and weather parameters
  version: 1.0.0
servers:
  - url: http://pinpoint.devops.arabiaweather.com
    description: Development API server
  - url: http://n01.pinpoint.devops.arabiaweather.com
    description: Development node n01
  - url: http://n02.pinpoint.devops.arabiaweather.com
    description: Development node n02
  - url: http://n03.pinpoint.devops.arabiaweather.com
    description: Development node n03
  - url: http://n04.pinpoint.devops.arabiaweather.com
    description: Development node n04
  - url: http://n05.pinpoint.devops.arabiaweather.com
    description: Development node n05
  - url: http://internal-tools-pinpoint.devops.arabiaweather.com
    description: Internal tools API server
security: []
tags:
  - name: forecast
  - name: parameters
  - name: location
  - name: admin
  - name: debug
paths:
  /airports:
    get:
      tags:
        - location
      summary: Get airports information
      description: >-
        Replies with a JSON object containing all known airports that are
        serviced by Pinpoint
      parameters: []
      responses:
        '200':
          description: Airports information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AirportsResponse'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    AirportsResponse:
      type: object
      additionalProperties:
        type: object
        properties:
          location_id:
            type: integer
            description: Associated location ID
          elevation:
            type: number
            description: Airport elevation
          lat:
            type: number
            description: Latitude
          lng:
            type: number
            description: Longitude
      example:
        OJAM:
          location_id: 1
          elevation: 757
          lat: 31.9859
          lng: 35.9838
        OJAI:
          location_id: 2
          elevation: 702
          lat: 31.9722
          lng: 35.9911
      properties: {}

````